/* Berlin, 24.10.1995							*/
/* Matthias Ullmann							*/
/* Header zu random.c							*/
/* Zufallszahlengenrator.						*/

#ifndef __random__
#define __random__

/* standard random number generator */
#define Ran(a)	RandomBayesDurham(a)

double RandomGaussDeviation(long *idum);
double RandomBayesDurham(long *idum);
void random_vector(double *vector, double deviation, long *seed);

double RandomSinus(long *idum);

/****************************************************************/
/* Metropolis Algorithm						*/
#define ACCEPTED 1
#define REJECTED 2
#define TOO_SMALL  -500.0
int Metropolis(double delta_energy, long *seed);
int metropolis(double delta_energy, double temp, long *seed);
int metropolis2(double delta_energy, double beta, long *seed);

#endif  /* __random__ */
 
