/* Matthias Ullmann 					*/
/* Berlin, 23.01.1996					*/
/* Exclusion grid					*/
/* .....................................................*/

#ifndef __exclusion__
#define __exclusion__

#include "grid.h"


/*------------------------------------------------------*/
/*	Functions					*/
/*------------------------------------------------------*/


/*------------------------------------------------------*/
/* exclusion grid */
/*------------------------------------------------------*/
void excl_to_grid(cGrid *excl, double probe, double *min, double *max,
	          double **xyz, double *radius, int atoms);
int exclude(cGrid *excl, double **xyz, int *surf, int surf_atoms);
void exlmake(cGrid *ix, double probe,
	     double **xyz, int atoms, double *radius);

/* CHANGE */
void fprint_excl(FILE *fpout,cGrid *excl);
void fprint_excl_binary(FILE *fpout,cGrid *excl);
void fread_excl_binary(FILE *fpin, cGrid *excl);

#endif /* __exclusion__ */
